# Import equity stock watch from NSE into web page though FLASK frame work:
from flask import Flask,render_template,url_for
from selenium import webdriver
import time
app = Flask(__name__)

@app.route('/',methods = ['Get', 'Post'])
def LiveStockWatchFromNSE():
    driver = webdriver.Chrome()
    driver.maximize_window()
    url = 'https://www.nseindia.com/live_market/dynaContent/live_watch/equities_stock_watch.htm'
    driver.get(url)
    time.sleep(3)
    totalrows = driver.find_element_by_id('dataTable').find_elements_by_tag_name('tr')
    rowcount = len(driver.find_element_by_id('dataTable').find_elements_by_tag_name('tr'))                         
    tabledata = []; r =1
    for row in totalrows:
        if r ==1:
            headerdata = []
            for c,col in enumerate(row.find_elements_by_tag_name('th')):
                 if c == 1 or c == 2 or c == 13 or c == 15:
                             continue                                        
                 headerdata.append(col.text)
            colscount = len(headerdata)
            r = r+1
        else:
            rowdata = []
            for i, c in enumerate(row.find_elements_by_tag_name('td')):
                 if i == 1 or i == 2 or i == 13 or i == 15:
                        continue
                 rowdata.append(c.text)
            r = r+1
            tabledata.append(tuple(rowdata))
    driver.close()      
    return render_template('Data.html',  headerdata = headerdata, totalrows = tabledata, rowscount = int(rowcount)-1, colscount =colscount )
app.run(host = 'localhost', port = 1111)    
